'use strict';

var admin = require('../../firebase');

module.exports = function(firebase) {
  firebase.refreshToken = async (request, response) => {
  
    const {accessToken} = request;
    if (accessToken) {
      const firebaseToken = await admin.auth().createCustomToken(accessToken.userId);

      return firebaseToken;
    }

    throw new Error('Bad request: the accessToken is not valid.');
  };

  firebase.remoteMethod('refreshToken', {
    accepts: [
      {
        arg: 'request',
        type: 'object',
        http: {
          source: 'req',
        },
      },
    ],
    returns: {
      arg: 'firebaseToken',
      type: 'string',
      root: false
    },
    description: 'Refresh the Firebase token.',
    http: {
      errorStatus: 400,
      path: '/refreshToken',
      status: 200,
      verb: 'post',
    },
    notes: '',
  });
};
